%define upstream_name    CPANPLUS
%define upstream_version 0.9914

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Crypt::OpenPGP|DBIx::Simple|Your::Module::Here|Test)\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    API & CLI access to the CPAN mirrors
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract) >= 0.160.0
BuildRequires: perl(Archive::Tar) >= 1.230.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::Install) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Fetch) >= 0.150.200
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IO::Zlib) >= 1.40.0
BuildRequires: perl(IPC::Cmd) >= 0.360.0
BuildRequires: perl(Locale::Maketext::Simple) >= 0.10.0
BuildRequires: perl(Log::Message) >= 0.10.0
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Load) >= 0.100.0
BuildRequires: perl(Module::Load::Conditional) >= 0.500.0
BuildRequires: perl(Module::Loaded) >= 0.10.0
BuildRequires: perl(Module::Pluggable) >= 2.400.0
BuildRequires: perl(Module::Signature) >= 0.60.0
BuildRequires: perl(Object::Accessor) >= 0.440.0
BuildRequires: perl(Package::Constants) >= 0.10.0
BuildRequires: perl(Params::Check) >= 0.360.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.420.0
BuildRequires: perl(Storable)
BuildRequires: perl(Term::UI) >= 0.180.0
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch
Recommends:   perl-CPANPLUS-Dist-Mageia

%description
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, commandline programs, etc, that use this API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# wants to write to the root fs
rm -f t/20_CPANPLUS-Dist-MM.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/CPANPLUS*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.991.400-2.mga9
+ Revision: 1815749
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 tv <tv> 0.991.400-1.mga9
+ Revision: 1759512
- update to 0.9914

* Tue Aug 24 2021 tv <tv> 0.991.200-1.mga9
+ Revision: 1742488
- update to 0.9912

* Mon Dec 28 2020 guillomovitch <guillomovitch> 0.991.0-2.mga8
+ Revision: 1664591
- upstream patch: fix internal circular dependencies

* Sun Dec 20 2020 tv <tv> 0.991.0-1.mga8
+ Revision: 1661624
- update to 0.9910

* Mon Apr 13 2020 tv <tv> 0.990.800-1.mga8
+ Revision: 1567051
- update to 0.9908

* Wed Feb 19 2020 umeabot <umeabot> 0.990.600-2.mga8
+ Revision: 1544475
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.990.600-1.mga8
+ Revision: 1483066
- update to 0.9906

* Tue Dec 10 2019 tv <tv> 0.990.400-1.mga8
+ Revision: 1465601
- update to 0.9904

* Sun Dec 01 2019 tv <tv> 0.990.200-1.mga8
+ Revision: 1463911
- update to 0.9902

* Sat Nov 30 2019 tv <tv> 0.918.0-1.mga8
+ Revision: 1463818
- update to 0.9180

* Sun Jul 14 2019 tv <tv> 0.917.800-1.mga8
+ Revision: 1421369
- update to 0.9178

* Thu Sep 20 2018 umeabot <umeabot> 0.917.600-2.mga7
+ Revision: 1281877
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 tv <tv> 0.917.600-1.mga7
+ Revision: 1235128
- update to 0.9176

* Tue May 22 2018 tv <tv> 0.917.400-1.mga7
+ Revision: 1231459
- update to 0.9174

* Mon Oct 09 2017 tv <tv> 0.917.200-1.mga7
+ Revision: 1170533
- update to 0.9172

* Mon Oct 02 2017 tv <tv> 0.917.0-2.mga7
+ Revision: 1163585
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.917.0-1.mga7
+ Revision: 1154302
- new release

* Sat Jul 22 2017 shlomif <shlomif> 0.916.800-1.mga7
+ Revision: 1128452
- update to 0.9168

* Sat Jun 18 2016 pterjan <pterjan> 0.915.600-2.mga6
+ Revision: 1024487
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.915.600-1.mga6
+ Revision: 923558
- update to 0.9156

* Tue Jul 07 2015 sander85 <sander85> 0.915.400-1.mga6
+ Revision: 852541
- update to 0.9154

* Wed Jan 07 2015 shlomif <shlomif> 0.915.200-6.mga5
+ Revision: 809221
- Got rid of an erroneous requires on DBIx::Simple

* Sat Oct 18 2014 umeabot <umeabot> 0.915.200-5.mga5
+ Revision: 788234
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.915.200-4.mga5
+ Revision: 745123
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.915.200-3.mga5
+ Revision: 732992
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.915.200-2.mga5
+ Revision: 683699
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Sat Jun 14 2014 sander85 <sander85> 0.915.200-1.mga5
+ Revision: 636166
- update to 0.9152

* Fri Jun 06 2014 jquelin <jquelin> 0.914.800-2.mga5
+ Revision: 634018
- no more script conflicts with perl (no more cored)

* Tue Feb 04 2014 shlomif <shlomif> 0.914.800-1.mga5
+ Revision: 582114
- New version 0.9148

* Tue Jan 21 2014 shlomif <shlomif> 0.914.200-3.mga4
+ Revision: 567343
- Remove dependency on perl-Crypt-OpenPGP.
  Crypt-OpenPGP is quite broken - see the CPANPLUS changelog. It could use
  just the gpg binary which is better.

* Mon Oct 21 2013 umeabot <umeabot> 0.914.200-2.mga4
+ Revision: 536988
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.914.200-1.mga4
+ Revision: 486103
- update to 0.9142

* Mon Aug 12 2013 sander85 <sander85> 0.914.0-1.mga4
+ Revision: 465769
- update to 0.9140

* Mon Jun 03 2013 jquelin <jquelin> 0.913.800-1.mga4
+ Revision: 436360
- update to 0.9138

* Sun May 05 2013 shlomif <shlomif> 0.913.600-1.mga3
+ Revision: 412355
- New version 0.9136

* Wed Mar 27 2013 jquelin <jquelin> 0.913.300-4.mga3
+ Revision: 405464
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.913.300-3.mga3
+ Revision: 363698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.913.300-2.mga3
+ Revision: 315490
- perl 5.16.2 rebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.913.300-1.mga3
+ Revision: 301376
- update to 0.9133

* Wed Sep 26 2012 jquelin <jquelin> 0.913.100-1.mga3
+ Revision: 297942
- update to 0.9131

* Mon Aug 27 2012 jquelin <jquelin> 0.913.0-2.mga3
+ Revision: 284582
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.913.0-1.mga3
+ Revision: 254307
- update to 0.9130

* Thu May 31 2012 jquelin <jquelin> 0.912.0-2.mga3
+ Revision: 252130
- fix %%files after rename
- fix script conflicts with perl

* Tue Mar 06 2012 jquelin <jquelin> 0.912.0-1.mga2
+ Revision: 220153
- update to 0.9120

* Thu Feb 23 2012 jquelin <jquelin> 0.911.800-1.mga2
+ Revision: 212730
- update to 0.9118

* Mon Jan 09 2012 jquelin <jquelin> 0.911.600-2.mga2
+ Revision: 193908
+ rebuild (emptylog)

* Mon Jan 09 2012 jquelin <jquelin> 0.911.600-1.mga2
+ Revision: 193812
- update to 0.9116

* Wed Jan 04 2012 jquelin <jquelin> 0.911.500-1.mga2
+ Revision: 190295
- update to 0.9115

* Fri Dec 09 2011 kharec <kharec> 0.911.300-1.mga2
+ Revision: 179728
- New version 0.9113

* Tue Nov 15 2011 jquelin <jquelin> 0.911.200-1.mga2
+ Revision: 167969
- update to 0.9112

* Mon Nov 14 2011 jquelin <jquelin> 0.911.100-2.mga2
+ Revision: 167762
- provide MYMETA, use it for requires

* Mon Sep 26 2011 jquelin <jquelin> 0.911.100-1.mga2
+ Revision: 148263
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.9111
- update to 0.9109
+ takashi <takashi>
- fixing the spec file
- fix specs
- fix specs
- update to 0.9110

* Fri Jul 08 2011 jquelin <jquelin> 0.910.600-1.mga2
+ Revision: 120361
- update to 0.9106

* Sat Jul 02 2011 ahmad <ahmad> 0.910.500-2.mga2
+ Revision: 117251
- Add BR and runtime requires on perl(Archive::Extract), otherwise compilation
  fails

* Wed Jun 15 2011 jquelin <jquelin> 0.910.500-1.mga2
+ Revision: 106510
- update to 0.9105

* Thu Mar 24 2011 jquelin <jquelin> 0.910.300-1.mga1
+ Revision: 76616
- update to 0.9103

* Wed Mar 02 2011 jquelin <jquelin> 0.910.200-1.mga1
+ Revision: 62517
- update to 0.9102

* Sat Feb 26 2011 jquelin <jquelin> 0.910.100-1.mga1
+ Revision: 60217
- update to 0.9101

* Wed Jan 26 2011 jquelin <jquelin> 0.901.0-1.mga1
+ Revision: 40659
- mageia rebuild
- fix specs
- imported package perl-CPANPLUS


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.901.0-1mdv2011.0
+ Revision: 597212
- update to 0.9010

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.900.700-1mdv2011.0
+ Revision: 553064
- update to 0.9007

* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.900.300-1mdv2010.1
+ Revision: 521607
- update to 0.9003

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.900.200-1mdv2010.1
+ Revision: 520141
- update to 0.9002
- update to 0.9001

* Thu Dec 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.100-1mdv2010.1
+ Revision: 482075
- update to 0.9001

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.0-1mdv2010.1
+ Revision: 480715
- update to 0.90

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.0
+ Revision: 393636
- update to 0.88

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.100-1mdv2010.0
+ Revision: 393096
- bumping some buildrequires: versions
- bumping version of some buildrequires:
- update to 0.8601
- using %%perl_convert_version

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.84-6mdv2010.0
+ Revision: 392920
- fixing bug 35018

* Mon Mar 02 2009 Buchan Milne <bgmilne@mandriva.org> 0.84-5mdv2009.1
+ Revision: 347435
- More manual requires (bug #35018)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - keep bash completion in its own package

* Wed Jan 28 2009 Michael Scherer <misc@mandriva.org> 0.84-3mdv2009.1
+ Revision: 334791
- add missing requires

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-2mdv2009.0
+ Revision: 218613
- bash completion enhancement

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2008.1
+ Revision: 137995
- update to new version 0.84
- update to new version 0.84

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-2mdv2008.1
+ Revision: 109455
- bash completion

* Tue Aug 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.82-1mdv2008.0
+ Revision: 68227
- New version 0.82

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2008.0
+ Revision: 48174
- new version

* Tue Jun 26 2007 Buchan Milne <bgmilne@mandriva.org> 0.78-1mdv2008.0
+ Revision: 44565
- Import perl-CPANPLUS



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.78-1mdv2007.1
- initial package
